petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecRestoreArrayRead

Restore array obtained with VecGetArrayRead()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArrayRead(Vec x,const PetscScalar **a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the array

### See Also

VecGetArray(), VecRestoreArray()

Level:beginner
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex42.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex59.c.html
src/snes/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex1f.F.html
src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html